#ifndef LIGHT_SENSOR_COMMANDS_H
#define LIGHT_SENSOR_COMMANDS_H

/*                                        *
 * This file contains procedures related  *
 * configuration of the device with       *
 * commands sent to the serial port       *
 *                                        */


/*
 * Check if there is any input character on the serial port
 * If so, assume it is a command, parse it and execute it
 * 
 * Possible commands:
 *  
 *  DC Set delay value to calibration
 *  DN set delay value to normal
 *  B begin loop
 *  E end loop
 *  TYYYY-MM-DDTHH:MM:SS set the current date/time of course 
 *    YYYY = year
 *    MM = month
 *    DD = day
 *    HH = hour (24-based)
 *    MM = minute
 *    SS = seconds
 *  LN number of leds (N=1 or N=2)
 *  WQ Ask to print if the wifi is present
 *    This command will print on the command line 
 *  The following are valid only if wifi is present
 *  
 *  WS xxxxxxxx Set wifi SSID
 *  WP xxxxxxxx Set wifi password
 *  WM xxxxxxxx Set wifi MAC Address
 *  W
 *  All commands are ended by a newline ('\n')
 */

void handleCommands();


#endif

