#ifndef LIGHT_SENSOR_GLOBALS_H
#define LIGHT_SENSOR_GLOBALS_H

#include "constants.h"


/*************************************************
 * This file contains global variables that are  *
 * shared between the various modules            *
 * In the ideal world this file should be empty  *
 * though for now it is fine for global          *
 * configuration                                 *
 *************************************************/

/*
 * Current iteration number of the loop since last boot
 */
extern int measure;


/*
 * This variable should be checked at the beginning of each loop
 * If true, execute the loop normally
 * If false, wait for a command to start
 */

extern bool started;

/*
 * Number of leds being used
 * Valid values are 1 and 2
 */
extern int numberOfLeds;

/*
 * Choose between normal and calibration delay
 */
extern WAIT_CHOICE waitChoice;

/*
 * If true, we are doing the second part of the 2led2pd case, and don't need to print loop number 
 */
extern bool secondPart;


#endif
