#include <Arduino.h>

#include "utils.h"



void waitCharacter() {
  while (!Serial.available()) {
    delay(100);
  }
}





void readEndline() {
  int ch;
  while( true ) {
    waitCharacter();
    ch = Serial.read();
    if (ch == '\n') {
      return;
    }
  }
}


void debug(const char* msg, const char* msg2, const char* msg3) {
  Serial.print("# ");
  Serial.print(msg);
  if (msg2) {
    Serial.print(msg2);
  }
  if (msg3) {
    Serial.print(msg3);
  }
  Serial.println("");
}




/****************************
 * Various output functions *
 ****************************/

void printPadded(int value) {
  if (value >= 10) {
    Serial.print(value);
  } else {
    Serial.write('0');
    Serial.print(value);
  }
}

void printDate(const DateTime& now) {
  Serial.print(",Date,");
  Serial.print(now.year(), DEC);
  Serial.print("-");
  Serial.print(now.month(), DEC);
  Serial.print("-");
  Serial.print(now.day(), DEC);
  Serial.print(" ");
  printPadded(now.hour());
  Serial.print(":");
  printPadded(now.minute());
  Serial.print(":");
  printPadded(now.second());
  Serial.print(" "); 
  Serial.print(",");
}



