#ifndef LIGHT_SENSOR_UTILS_H
#define LIGHT_SENSOR_UTILS_H

#include "clock.h"

/*                                                      *
 * This file contains miscellaneous utility procedures  *
 * that don't fit anywhere else                         *
 *                                                      */


/* Busy loop until a character is available on the 
 * serial port
 */
void waitCharacter();

/*
 * Eat all the characters from the serial line until the end of line 
 * is found. The end of line character is removed from the input too
 */
void readEndline();



/*
 * Send a debug message to the serial port
 * A debug message is any string that starts the line with a 
 * '#' character
 * Please note that no check is done to be sure that we are 
 * at the beginning of the line, so don't use it if you already
 * have started writing a line to the serial port
 */
void debug(const char* msg, const char* msg2=0, const char* msg3=0);

void printPadded(int value);

void printDate(const DateTime& now);

#endif

