package it.pastella.sensormonitor;

import java.text.MessageFormat;
import java.util.logging.Formatter;
import java.util.logging.LogRecord;

/**
 *
 * @author mrighele
 */
public class LogFormatter extends Formatter {

	@Override
	public String format(LogRecord record) {
		//       String msg = String.format(record.getMessage(), record.getParameters());
		String msg = record.getParameters() != null && record.getParameters().length > 0 ? MessageFormat.format(record.getMessage(), record.getParameters()) : record.getMessage();
		return String.format("[%s]\t%2$tF %2$tT %3$s %4$s\n", record.getLevel().getLocalizedName(), record.getMillis(), record.getLoggerName(), msg);
	}

}
