package it.pastella.sensormonitor.controller;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author Marco Righele
 */
public class ColumnInformation {

    private static Map<String, ColumnInformation> informationByName = new HashMap<String, ColumnInformation>();

    static {
        informationByName.put("PD1", new ColumnInformation("PD1", "#aaaaaa", "#bbbbbb"));
        informationByName.put("PD2", new ColumnInformation("PD2", "#bbbbbb", "#aaaaaa"));
    }

    public static ColumnInformation getByName(String name) {
        return informationByName.getOrDefault(name, null);
    }
    private String name;

    private String backgroundColor;
    private String chartColor;

    public ColumnInformation(String name, String backgroundColor, String chartColor) {
        this.name = name;
        this.backgroundColor = backgroundColor;
        this.chartColor = chartColor;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBackgroundColor() {
        return backgroundColor;
    }

    public void setBackgroundColor(String backgroundColor) {
        this.backgroundColor = backgroundColor;
    }

    public String getChartColor() {
        return chartColor;
    }

    public void setChartColor(String chartColor) {
        this.chartColor = chartColor;
    }

}
