/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package it.pastella.sensormonitor.service;

import java.io.IOException;
import java.time.LocalDateTime;

/**
 *
 * @author mrighele
 */
public interface IDevice {

	enum ConnectionStatus {
		CONNECTED, CONNECTING, DISCONNECTING, DISCONNECTED, ERROR
	};

	enum Command {
		BEGIN, END, LEDS1, LEDS2, LEDS_TEST, CALIBRATION_DELAY, NORMAL_DELAY
	};

	static String getStatusDescription(ConnectionStatus status) {
		switch (status) {
		case CONNECTED:
			return "Connected";
		case DISCONNECTED:
			return "Disconnected";
		case DISCONNECTING:
			return "Disconnecting";
		case ERROR:
			return "Error";
		default:
			throw new IllegalArgumentException("Unknown connection status " + status);
		}
	}

	String readLine() throws IOException;

	void sendCommand(Command command);

	void updateTime(LocalDateTime dateTime);

	void close();

}
